Bug 816066 - TCMS Nitrate XMLRPC interface documentation should have link to client library
TCMS Nitrate XMLRPC interface documentation should have link to client library
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Documentation (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
:
: 600251 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 03:46 EDT by Frantisek Reznicek
Modified: 2016-05-31 21:52 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.8.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2012-04-25 03:46:33 EDT
Description of problem:

TCMS Nitrate XMLRPC interface has documentation here [1].

The documentation has to say what nitrate client library is referred to.

At the moment there are two sources of nitrate xmlrpc:
  - qa_tools
  - python-nitrate

qa_tools version (which I think is more widely used) does not fully match with the [1] documentation. (for instance TestCase.get() is not available)

IMHO [1] needs to instruct user where can be the client library obtained (link or at least package).

[1] https://tcms.engineering.redhat.com/xmlrpc/

Version-Release number of selected component (if applicable):
3.6.3

How reproducible:
100%

Steps to Reproduce:
0. no links at [1]
1. see below for lib discrepancy
  
Actual results:
  Documentation does not link to the client library

Expected results:
  Documentation should link to the client library


Additional info:

[freznice@dhcp-26-251 tcms]$ python2.7
Python 2.7.2 (default, Aug 29 2011, 14:36:33)
[GCC 4.1.2 20071124 (Red Hat 4.1.2-37)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from Nitrate import *
>>> tc=TestCase.get(1193)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: type object 'TestCase' has no attribute 'get'
>>> tc2=TestCase(1193)
>>> tc
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
NameError: name 'tc' is not defined
>>> tc2
TestCase(1193)
>>> dir(TestCase)
['__class__', '__del__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__unicode__', '__weakref__', '_config', '_connection', '_create', '_get', '_requests', '_server', '_settings', '_test', '_update', 'arguments', 'author', 'automated', 'automated_proposed', 'bugs', 'category', 'components', 'id', 'identifier', 'notes', 'priority', 'product', 'requirement', 'script', 'search', 'status', 'summary', 'synopsis', 'tags', 'tester', 'testplans', 'time', 'update']
>>> dir(TestCase).count('get')
0
Comment 1 Frantisek Reznicek 2012-04-25 04:06:42 EDT
Ok, the confusion comes from fact that there are two libs.

nitrate.py Lower level one where All TestCase commands need to be issued:
  from nitrate import *

  n = NitrateKerbXmlrpc('<nitrate_url>')
  n.server.TestPlan.get(1)

and the other which comes from qa-tools Nitrate.py(capital N) which allows slightly different syntax:
  from Nitrate import *

  tp = TestPlan(1);


Nitrate documentation should highlight reference to one of them.
Comment 2 Petr Šplíchal 2012-05-04 10:40:00 EDT
Please note, that python-nitrate is now available in Fedora and
EPEL. The documentation now clearly states the difference between
the high-level module and the low-level driver. Have a look at:

    http://psss.fedorapeople.org/python-nitrate/

Let me know if there's something still missing. Can we have a link
to the python-nitrate project page from xmlrpc driver wiki?
Comment 3 yawei Li 2012-05-16 04:16:25 EDT
OK, will add the link into tcms xml-rpc doc.
Comment 4 yawei Li 2012-05-22 22:27:12 EDT
*** Bug 600251 has been marked as a duplicate of this bug. ***
Comment 5 jianchen 2012-07-02 22:29:13 EDT
Fix in tcms 3.8.0, add python-nitrate link in tcms introduction text.
Comment 6 Xin Gao 2012-07-25 21:58:39 EDT
Verify 3.8.0-1 on stage -->PASS

Verify steps:
1. check doc page, https://tcms-stage.englab.bne.redhat.com/xmlrpc/#testcaseplan.get


Actual result:
python-nitrage link has been added.

Note You need to log in before you can comment on or make changes to this bug.